#include <bits/stdc++.h>
using namespace std;
long long t,n,m,k,mini;
int main(){
    cin>>t;
    for(int i=1;i<=t;i++){
        cin>>n>>m>>k;
        mini=(((n/k)*((n/k)+1))/2)*(k-(n%k))+((((n/k+1)*(n/k+2)))/2)*(n%k);
        if(n==k and m>n){
            cout<<"Tak"<<endl;
        }
        else if(n>k and m>=mini){
            cout<<"Tak"<<endl;
        }
        else{
            cout<<"Nie"<<endl;
        }

    }
    return 0;
}